function h = plotTxPulse(pulse, fs)
    %Plots the transmit pulse given the sampling frequency
    %returns h, the plot handle
    
    figure;
    len = length(pulse);
    h = plot((1:len)/fs, pulse);
    xlabel('Time (s)');
    ylabel('Value');
    title('Transmitting Pulse');
    
    ylim([-4, 4]);
end